/*
   Firebird dbExpress driver - "InterXpress for Firebird"
   (c) 2003, 2004 by Upscene Productions

   File: upDBX_FBConst.h

   Contents: constants for defining a custom transaction in dbExpress
*/


/* 
   Below are the custom transaction isolation constants for starting a custom
   transaction in dbExpress. By combining the values below, you can construct
   a value for the CustomIsolation field in a TTransactionDesc struct 
*/

// Transaction Access modes 
#define TR_AM_READ				0x00000001 // isc_tpb_read, read only 
#define TR_AM_WRITE				0x00000002 // isc_tpb_write, read/write
// Transaction Isolation levels
#define TR_ISO_CONCURRENCY		0x00000004 // isc_tpb_concurrency
#define TR_ISO_CONSISTENCY		0x00000008 // isc_tpb_consistency
#define TR_ISO_READ_COMMITTED   0x00000010 // isc_tpb_read_committed 
#define TR_ISO_REC_VERSION      0x00000020 // isc_tpb_rec_version 
#define TR_ISO_REC_NO_VERSION   0x00000040 // isc_tpb_rec_no_version 
// Transaction Lock Resolution 
#define TR_LOCK_WAIT            0x00000080 // isc_tpb_wait 
#define TR_LOCK_NO_WAIT         0x00000100 // isc_tpb_no_wait 

  
// below are copies of the values, but with the "normal" Firebird names for
// people who are more familiar with the Firebird API 

// Transaction Access modes 
#define ISC_TPB_READ            0x00000001 // read only 
#define ISC_TPB_WRITE           0x00000002 // read/write
// Transaction Isolation levels
#define ISC_TPB_CONCURRENCY     0x00000004
#define ISC_TPB_CONSISTENCY     0x00000008
#define ISC_TPB_READ_COMMITTED  0x00000010
#define ISC_TPB_REC_VERSION     0x00000020
#define ISC_TPB_REC_NO_VERSION  0x00000040
// Transaction Lock Resolution
#define ISC_TPB_WAIT            0x00000080
#define ISC_TPB_NO_WAIT         0x00000100
